## Version 0.2.0

This release introduces significant enhancements to the synthetic data generation capabilities and improves the robustness of visualization functions. It also includes updates to the testing framework to better categorize and document tests.

### New Features

- Implemented functions to generate synthetic datasets with numeric and categorical predictors, enhancing the CLI and core functionalities to support these additional predictors in training and evaluation. Comprehensive tests for these new features have been added to ensure reliability. (3b0a7c) (Eric Ma)
- Added design and usage documentation for the integration of additional predictors in Fast-SeqFunc, including usage examples and an updated roadmap. (060385) (Eric Ma)

### Bug Fixes

- Improved visualization functions by adding checks to handle empty prediction data, ensuring that visualizations are only created with valid data. Warnings are logged when visualizations are skipped due to empty data. (b71809) (Eric Ma)
- Corrected parameter names in the `evaluate_model` function call to ensure consistency with the function's definition and usage. (fc9378d) (Eric Ma)

### Testing Enhancements

- Updated the pytest marker for the classification test to skip due to slow runtime, with a reason provided for better test documentation. (0d3000) (Eric Ma)
- Added `@pytest.mark.slow` to relevant test functions to categorize them as slow tests, aiding in selective test execution based on runtime. (af4e92) (Eric Ma)
- Added comprehensive unit tests for synthetic data generation functions, including tests for additional predictor helper functions, biological sequence synthetic data generation, and integer sequence synthetic data generation. (8a8a7b) (Eric Ma)
